Skip to content

Create an activity log type

Request

Security
oauth2_client_credentials or oauth2_authorization_code
Query
activityLogTypeIdstring, [ 4 .. 63 ] characters(activity_log_type_id)

Optional. The ID to use for the activity log type, which will become the final component of the resource name. This value should be 4-63 characters, and valid characters are /[a-z][0-9]-/.

Bodyapplication/json
namestring, <= 63 characters(name)

(IDENTIFIER)

labelstring, [ 1 .. 100 ] characters(label)required
curl -i -X POST \
  https://docs.bndry.net/_mock/apis/openapi/v1alpha/activityLogTypes \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "activityLogTypes/customer-sign-in",
    "label": "string"
  }'

Responses

Success

Bodyapplication/json
namestring, <= 63 characters(name)

(IDENTIFIER)

labelstring, [ 1 .. 100 ] characters(label)required
Response
{ "name": "activityLogTypes/customer-sign-in", "label": "string" }